<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Notifications/include/Notifications/NotificationsCapabilityAgentState.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_51ceba3e0236022a3ce16bfbc638804e.html">Notifications</a></li><li class="navelem"><a class="el" href="dir_e7db36e79723a69813d4111ac7822a9d.html">include</a></li><li class="navelem"><a class="el" href="dir_a67aa551fa12014e267c750fd1c4faf6.html">Notifications</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">NotificationsCapabilityAgentState.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_notifications_capability_agent_state_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_NOTIFICATIONS_INCLUDE_NOTIFICATIONS_NOTIFICATIONSCAPABILITYAGENTSTATE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_NOTIFICATIONS_INCLUDE_NOTIFICATIONS_NOTIFICATIONSCAPABILITYAGENTSTATE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span>notifications {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">   26</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="comment">// The capability agent is awaiting directives.</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eaa5daf7f2ebbba4975d61dab1c40188c7">IDLE</a>,</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="comment">// A call to renderNotification() has been made, but the notification has not yet finished rendering.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea50366a49630a416ab3ccaa004196027e">PLAYING</a>,</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="comment">// A call to cancelNotificationRendering() has been made, but the notification has not yet been cancelled.</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea2f8cf861e52ab0664bc34106c98e11ce">CANCELING_PLAY</a>,</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="comment">// The capability agent is shutting down.</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea89e5325b1f9acbf5dde5c70b84bbdcb1">SHUTTING_DOWN</a>,</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="comment">// The capability agent has finished shutting down.</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eab9984206799a7f9fe4bd1b6c18db8112">SHUTDOWN</a></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;};</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2eda4f4d93b013fe31009ee347cdc2b1">   39</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2eda4f4d93b013fe31009ee347cdc2b1">stateToString</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a> state) {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordflow">switch</span> (state) {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eaa5daf7f2ebbba4975d61dab1c40188c7">NotificationsCapabilityAgentState::IDLE</a>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;IDLE&quot;</span>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea50366a49630a416ab3ccaa004196027e">NotificationsCapabilityAgentState::PLAYING</a>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;PLAYING&quot;</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea2f8cf861e52ab0664bc34106c98e11ce">NotificationsCapabilityAgentState::CANCELING_PLAY</a>:</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;CANCELING_PLAY&quot;</span>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea89e5325b1f9acbf5dde5c70b84bbdcb1">NotificationsCapabilityAgentState::SHUTTING_DOWN</a>:</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;SHUTTING_DOWN&quot;</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eab9984206799a7f9fe4bd1b6c18db8112">NotificationsCapabilityAgentState::SHUTDOWN</a>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;SHUTDOWN&quot;</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    }</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;Unknown NotificationsCapabilityAgent State&quot;</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#af551518036a97683e5d3175867bafba9">   55</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6a9c63b3cc8c094ae74c7abf2ee5afc7">operator&lt;&lt;</a>(std::ostream&amp; stream, <span class="keyword">const</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a>&amp; state) {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">return</span> stream &lt;&lt; <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2eda4f4d93b013fe31009ee347cdc2b1">stateToString</a>(state);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;}</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}  <span class="comment">// namespace notifications</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_NOTIFICATIONS_INCLUDE_NOTIFICATIONS_NOTIFICATIONSCAPABILITYAGENTSTATE_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a80a513116d8d663f36151f11a9d0396ea50366a49630a416ab3ccaa004196027e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea50366a49630a416ab3ccaa004196027e">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState::PLAYING</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a80a513116d8d663f36151f11a9d0396ea2f8cf861e52ab0664bc34106c98e11ce"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea2f8cf861e52ab0664bc34106c98e11ce">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState::CANCELING_PLAY</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a80a513116d8d663f36151f11a9d0396ea89e5325b1f9acbf5dde5c70b84bbdcb1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea89e5325b1f9acbf5dde5c70b84bbdcb1">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState::SHUTTING_DOWN</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a80a513116d8d663f36151f11a9d0396e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState</a></div><div class="ttdeci">NotificationsCapabilityAgentState</div><div class="ttdef"><b>Definition:</b> NotificationsCapabilityAgentState.h:26</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a2eda4f4d93b013fe31009ee347cdc2b1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2eda4f4d93b013fe31009ee347cdc2b1">alexaClientSDK::capabilityAgents::notifications::stateToString</a></div><div class="ttdeci">std::string stateToString(NotificationsCapabilityAgentState state)</div><div class="ttdef"><b>Definition:</b> NotificationsCapabilityAgentState.h:39</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a80a513116d8d663f36151f11a9d0396eab9984206799a7f9fe4bd1b6c18db8112"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eab9984206799a7f9fe4bd1b6c18db8112">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState::SHUTDOWN</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a80a513116d8d663f36151f11a9d0396eaa5daf7f2ebbba4975d61dab1c40188c7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eaa5daf7f2ebbba4975d61dab1c40188c7">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState::IDLE</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a6a9c63b3cc8c094ae74c7abf2ee5afc7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6a9c63b3cc8c094ae74c7abf2ee5afc7">alexaClientSDK::capabilityAgents::notifications::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, IndicatorState state)</div><div class="ttdef"><b>Definition:</b> IndicatorState.h:55</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
